:root {
    --bg-app-primary: #21b641;
    --bg-app-primary-lighten: #21b641;
    --app-gray-300: #CBD5E1;
}

.main-img {
    width: 250px;
}


.btn-icon {
    width: 18px;
}

.app-img-fit-cover {
    object-fit: cover;
}

.app-border {
    border: 1px solid #E2E8F0;
}

.app-border-dark {
    border: 1px solid black;
}

.app-border-light {
    border: 1px solid rgba(0, 0, 0, 0.079);
}

.app-border-none {
    border: none;
}

.app-border-shadow {
    box-shadow: 0px 4px rgba(0, 0, 0, 0.04);
}

.app-border-radius-1 {
    border-radius: 4px;
}

.app-border-radius-2 {
    border-radius: 7px;
}

.app-border-radius-3 {
    border-radius: 10px;
}

.app-border-radius-4 {
    border-radius: 15px;
}

.app-border-radius-5 {
    border-radius: 25px;
}

.app-toolbar-icon {
    width: 190px;
}

.app-opacity-0 {
    opacity: 0;
}

.app-truncate {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
}

.app-truncate-2 {
    -webkit-line-clamp: 2;
}

.app-truncate-3 {
    -webkit-line-clamp: 3;
}

.app-truncate-4 {
    -webkit-line-clamp: 4;
}

.app-truncate-5 {
    -webkit-line-clamp: 5;
}

.fs-15px {
    font-size: 15px;
}

.fs-18px {
    font-size: 18px;
}

.floating-action-button {
    position: fixed;
    width: 60px;
    height: 60px;
    bottom: 40px;
    right: 40px;
    background-color: #25d366;
    color: #FFF;
    border-radius: 50px;
    text-align: center;
    font-size: 30px;
    box-shadow: 2px 2px 3px #999;
    z-index: 100;
}

.floating-action-button-icon {
    margin-top: 16px;
}

.header-bg {
    background-size: cover !important;
    background-repeat: b=no-repeat !important;
    position: relative;
}

.header-bg-overlay {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: black;
    opacity: .82;
    z-index: 0;
}

.bg-app-primary {
    background: var(--bg-app-primary);
}

.bg-primary-light {
    background: #DAECF7;
}

.bg-danger-light {
    background: #F9E2E4;
}

.bg-gray-300 {
    background-color: #CBD5E1;
}

.btn-app {
    padding: 12px;
    text-align: center;
    font-size: 14px;
    border-radius: 6px;
    font-weight: 600;
}

.btn-app-md {
    font-size: 14px;
}

.btn-app-primary {
    background: var(--bg-app-primary);
    color: #FDEDED;
    border-color: var(--bg-app-primary);
    padding: 12px;
    text-align: center;
    font-size: 14px;
    border-radius: 6px;
    font-weight: 600;
}

.btn-app-primary:hover {
    background-color: var(--bg-app-primary-lighten);
    color: #fff;
    border-color: var(--bg-app-primary-lighten);
}

.btn-app-light {
    background: white;
    transition: .4s;
}

.btn-app-light:hover {
    background: #0000000a;
}

.badge-dot {
    display: inline-block;
    position: absolute;
    top: -18px;
    LEFT: 15px;
    background: orange;
    border-radius: 50%;
    border: 2px solid;
    padding: 7px;
    border-color: darkgrey;
}

.form-label,
.form-check-label {
    font-size: 14px;
    font-weight: 400;
    color: black;
    margin-bottom: 5px;
}

.form-check-label {
    color: black;
    font-family: 'WorkSans-SemiBold';
}

.form-control {
    padding: 12px;
    border-radius: 8px;
    border: 2px solid #CBD5E1;
    font-size: 14px;
    font-weight: bold;
}

.form-group {
    margin-top: 20px;
    margin-bottom: 20px;
}

.form-control:focus {
    color: #212529;
    background-color: #fff;
    border: 2px solid rgba(0, 0, 0, 0.58) !important;
    outline: 0;
    box-shadow: 0 0 0 .15rem #1e1e1e38;
}

.form-check-input:focus {
    box-shadow: 0 0 0 .15rem #1e1e1e38;
    border: 1px solid var(--bg-app-primary);
}

.form-check-input:checked {
    background-color: var(--bg-app-primary);
    border-color: var(--bg-app-primary);
}

.app-input-iconed .icon {
    width: 22px;
    position: absolute;
    left: 15px;
    top: 14px;
    opacity: .3;
}

select,
.form-control {
    appearance: auto;
}

::placeholder {
    font-weight: normal;
}


.text-app-primary {
    color: var(--bg-app-primary);
}

.text-app-primary-f {
    color: var(--bg-app-primary) !important;
}

.text-app-light {
    color: #666666;
    font-size: 14px;
}

.text-app-light-2 {
    color: #666666;
    font-size: 15px;
}

.border-radius-1 {
    border-radius: 7px;
}

.icon-right {
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    margin-right: 10px;
}

.app-img-w-1 {
    width: 50px;
}

.app-img-w-2 {
    width: 100px;
}

.app-img-w-3 {
    width: 150px;
}

.my-alert {
    padding: 10px;
    font-weight: 400;
    font-size: 16px !important;
}

.my-alert-secondary {
    background: #e2e3e54a;
}

/* Datatable custom */
/* Datatable custom */
table.dataTable {
    font-size: 15px;
}

table.dataTable.stripe>tbody>tr.odd>*,
table.dataTable.display>tbody>tr.odd>*,
table.dataTable.display>tbody>tr.even>.sorting_1,
table.dataTable.order-column.stripe>tbody>tr.even>.sorting_1 {
    background: white !important;
    box-shadow: none !important;
}

table.dataTable.display>tbody>tr.odd>.sorting_1,
table.dataTable.order-column.stripe>tbody>tr.odd>.sorting_1 {
    box-shadow: none !important;
}

table.dataTable.row-border tbody tr:first-child th,
table.dataTable.row-border tbody tr:first-child td,
table.dataTable.display tbody tr:first-child th,
table.dataTable.display tbody tr:first-child td {
    white-space: nowrap !important;
    overflow: hidden;
}

table.dataTable.no-footer,
table.dataTable thead th,
table.dataTable thead td {
    border-bottom: 1px solid #E2E8F0 !important;
}

.dataTables_wrapper .dataTables_length,
.dataTables_wrapper .dataTables_filter,
.dataTables_wrapper .dataTables_info,
.dt-buttons {
    width: 0px;
    height: 0px;
    opacity: 0;
    display: none;
}

table.dataTable thead>tr>th.sorting:after,
table.dataTable thead>tr>th.sorting_asc:after,
table.dataTable thead>tr>th.sorting_desc:after,
table.dataTable thead>tr>th.sorting_asc_disabled:after,
table.dataTable thead>tr>th.sorting_desc_disabled:after,
table.dataTable thead>tr>td.sorting:after,
table.dataTable thead>tr>td.sorting_asc:after,
table.dataTable thead>tr>td.sorting_desc:after,
table.dataTable thead>tr>td.sorting_asc_disabled:after,
table.dataTable thead>tr>td.sorting_desc_disabled:after {
    content: '⮟' !important;
}

table.dataTable thead>tr>th.sorting:before,
table.dataTable thead>tr>th.sorting_asc:before,
table.dataTable thead>tr>th.sorting_desc:before,
table.dataTable thead>tr>th.sorting_asc_disabled:before,
table.dataTable thead>tr>th.sorting_desc_disabled:before,
table.dataTable thead>tr>td.sorting:before,
table.dataTable thead>tr>td.sorting_asc:before,
table.dataTable thead>tr>td.sorting_desc:before,
table.dataTable thead>tr>td.sorting_asc_disabled:before,
table.dataTable thead>tr>td.sorting_desc_disabled:before {
    content: '⮝' !important;
}

table.dataTable thead th {
    color: gray;
    opacity: .7;
}

table.dataTable {
    border-spacing: 0px 8px;
}

table.dataTable tbody tr {
    border-bottom: 1px solid #E2E8F0 !important;
}

table.dataTable .sorting_asc,
table.dataTable .sorting_desc {
    color: black;
    opacity: 1;
}

.dataTables_wrapper .paginate_button.previous.disabled,
.dataTables_wrapper .paginate_button.previous {
    background: white !important;
    border-radius: 8px !important;
    margin-right: 5px !important;
}

.dataTables_wrapper .paginate_button.next.disabled,
.dataTables_wrapper .paginate_button.next {
    background: white !important;
    border-radius: 8px !important;
    margin-left: 8px !important;
}

.dataTables_wrapper .dataTables_paginate .paginate_button.next:hover,
.dataTables_wrapper .dataTables_paginate .paginate_button.next.disabled:hover,
.dataTables_wrapper .dataTables_paginate .paginate_button.previous,
.dataTables_wrapper .dataTables_paginate .paginate_button.previous.disabled:hover {
    color: black !important;
}

.dataTables_wrapper .dataTables_paginate {
    width: 100%;
    text-align: center;
}

.dataTables_paginate .paginate_button {
    font-size: 15px;
}

.dataTables_paginate .current,
.dataTables_wrapper .dataTables_paginate .paginate_button.current,
.dataTables_wrapper .dataTables_paginate .paginate_button.current:hover {
    background: var(--bg-app-primary) !important;
    color: white !important;
    font-weight: bold;
    padding: 5px 12px;
    border-radius: 7px;
}

/* Select JS */
.select2-container--default .select2-selection--multiple {
    outline: none;
    width: 100%;
    background-color: transparent;
    border-radius: 8px !important;
    border: 1px solid #DDDDDD !important;
    font-size: 15px;
    line-height: 1;
    font-weight: 500;
    padding: 12px !important;
    transition: all 0.15s cubic-bezier(0.165, 0.84, 0.44, 1);
}

.select2-container--default .select2-selection--multiple .select2-selection__choice {
    background-color: #f1f3f4 !important;
    border: 1px solid #cacdd1 !important;
    padding: 5px !important;
    padding-left: 25px !important;
    margin-right: 3px !important;
    margin-bottom: 3px !important;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
    color: #e70000 !important;
    bottom: 0 !important;
    font-size: 1.5em !important;
}

/* Tab */
.tabs__controls {
    width: 100%;
    overflow-y: hidden;
}

.tabs.-active-purple-2 .tabs__controls .tabs__button {
    white-space: nowrap !important;
}

.tabs.-active-purple-2 .tabs__controls .tabs__button.is-active {
    color: var(--bg-app-primary) !important;
}

.tabs.-active-purple-2 .tabs__controls .tabs__button::after {
    background: var(--bg-app-primary) !important;
    height: 5px !important;
    border-radius: 15px;
}

/* Bootstrap rewrite */
.navbar-light .navbar-nav .nav-link.active,
.navbar-light .navbar-nav .show>.nav-link {
    background: var(--bg-app-primary);
    color: white;
    padding-left: 20px;
    padding-right: 20px;
    border-radius: 25px;
    margin: 0px 7px;
    font-weight: 500;
    letter-spacing: .3px;
}

.navbar-light .navbar-nav .nav-link {
    font-size: 1.2rem;
    color: black;
    margin-right: 10px;
}



.pagination {
    justify-content: center !important;
}

.page-link {
    position: relative;
    display: block;
    color: black;
    font-weight: 500;
    border-radius: 5px;
    margin: 7px;
    font-size: 16px;
    text-decoration: none;
    padding: 11px 18px !important;
    background-color: #fff;
    border: 1px solid #dee2e6;
    transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

.page-item.active .page-link {
    z-index: 3;
    color: #fff;
    background-color: var(--bg-app-primary);
    border-color: var(--bg-app-primary);
}

.text-medium {
    font-size: 1.4rem;
    line-height: 2.5rem;
}

.text-medium-2 {
    font-size: 1.1rem;
    line-height: 2rem;
}

@media only screen and (max-width: 992px) {
    nav.navbar {
        box-shadow: 1px 3px 4px #00000012;
    }

    .app-w-sm-100 {
        width: 100% !important;
    }

    .app-border-sm-none {
        border: none;
    }

    .app-shadow-sm-none {
        box-shadow: none;
    }

    .app-toolbar-icon {
        width: 135px;
    }

    .tabs__controls {
        overflow-x: scroll;
    }

    .main-img {
        width: 150px;
    }

    .navbar-light .navbar-nav .nav-link {
        font-size: .9rem;
    }

    .navbar-light .navbar-nav .nav-link.active,
    .navbar-light .navbar-nav .show>.nav-link {
        padding-left: 5px;
        padding-right: 5px;
        border-radius: 4px;
        margin: 0px;
        width: fit-content;
    }

    .text-medium-2,
    .text-medium {
        font-size: 1rem;
        line-height: 1.6rem;
    }

    .product-img {
        height: 150px !important;
    }

    .product-img p.h5 {
        font-size: 12px !important;
    }

    .dropdown-item {
        font-size: 14px;
    }
}